Subject: GCC Include/Regex error
From: [email-masked] (Dr. W. L. Jarrett)

3 Oct 1997 07:23:32 -0700
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset="us-ascii"
To: [email-masked]

Dear Comrades:
        I am new to C++, so please be kind.  I am having problems compiling
some code that runs under Linux and IRIX 6.2.

   a)   <include> statements looking for special *.h files in the source
code directory does not work;  I had to transfer them to the /include/g++
directory of GNUWin32;  How do I avoid that in general;

 b) I am getting these error messages:

I:\\Programs\\gnuwin32\\b18\\H-i386-cygwin32\\lib\\gcc-lib\\i386-cygwin32\\c
ygnus-2.7.2-970404\\../../../../../include/g++/_regex.h:41:
`Regex::Regex(const class Regex &)' is private
//i/programs/gamma-3.5.2/share/src/SinglePar.cc:416: within this context
c++: Internal compiler error: program cc1plus got fatal signal 33
 
What is Regex.h, and what does it mean that it is "private"

Thank you for your assistance,

Dr. W. L. Jarrett
University of Southern Mississippi
Department of Polymer Science
2609 W. Fourth St.
Hattiesburg, MS  34906-5103

Phone:  (601)266-4551
Fax:       (601)266-5504
email:  [email-masked]

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".